S905-H version? (Xtreamer Whizz)

I have purchased 3 Xtreamer Whizz almost 4 years ago. They where running on initial Android TV software but the brand stopped offering updates and support very soon.

Then I discovered CoreELEC!!! <3<3<3 The transition injected new life to the boxes, making the modern and snappy again and offering almost everything except HDR. With the latest upgrade to 9.2, video playback of 1080i TV content I mostly watch up-scaled to 2160p on my 4K TV, seems flawless (or it might be just my idea).

Then I tried BL301 inject feature but obviously is not supported. Trying to find the version of my processor just to check, system information in Kodi reports “AArch64 Processor rev 4 (aarch64)” where specs of Whizz here https://www.minipcdb.com/articles/Meet-Xtreamer-Whizz mention S905-H. I visited Amlogic Wikipedia page and there is absolutely no mention of S905-H.

  1. Can anyone explain?
  2. Would there be support for BL301 inject sometime in the future?

Thanks

  1. Explain what? It’s a S905 SoC with licenses for some formats, such as Dolby Digital. This doesn’t do anything for CE, and it behaves just as any other S905 would.
  2. Why do you need BL301? If\When it’s ported to 3.14, it will be supported.
1 Like

I just cannot figure out if Whizz can be upgraded to 9.3. Trying to update by placing the update file in the update folder, I get an error on incompatibility with 3.14 kernel.

There is of course this post

saying that there are two builds to choose from when downloading but I just can find the link for the original Amlogic build.

Is there a solution or should I stick to 9.2.8 as the last upgrade?

You can’t install 19.3 on a S905 (GXBB) or S912 (GXM) based boxes.

Thanks man

About | FAQ | Terms of Service | Privacy Policy | Legal Notice